curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Mettez à jour un lot d’objets CRM à l’aide de leurs ID internes ou de leurs valeurs de propriété uniques, ce qui permet de modifier efficacement plusieurs fiches d’informations en une seule requête.
curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Le type d'objet.
Un tableau d'objets SimplePublicObjectBatchInput, chacun représentant un objet à mettre à jour. Ce champ est requis.
Show child attributes
successful operation
Objet de réponse de lot d'objet public
L'horodatage du moment où le traitement du lot a été terminé, au format ISO 8601.
Show child attributes
L'horodatage du moment où le traitement du lot a commencé, au format ISO 8601.
Statut de la demande de traitement par lots. La valeur attendue est « TERMINÉ ».
CANCELED, COMPLETE, PENDING, PROCESSING Un objet contenant des liens pertinents relatifs à la demande de lot.
Show child attributes
L'horodatage du moment où la requête de lot a été faite initialement, au format ISO 8601.